Subject: Re: [AVT] Q for 3984bis-06

From: "Ingemar Johansson S" <[email-masked]>
Date: Wed, 20 May 2009 07:52:17 +0200

Hi

I agree with Randell, in fact there are may cellphones today that can
both encode and decode at high levels, however the limited screensize
(or resolution) of a cell phone makes it useless to send full HD content
to a cell phone (unless it is connected to a TV or projector). 
There are  scenarios (not too far fetched IMHO) where a mobile user wish
to make a call to his/her friends or his famility who sit in comfortably
in front of a 50" TV. This means that we wish to send fullHD in one
direction while CIF is propably sufficient in the other direction. This
is a highly asymmetric scenario, the work on image attributes in MMUSIC
is partly done with this in mind.

I tried to address these asymmetric issues in a more generic way in 
http://tools.ietf.org/id/draft-johansson-mmusic-asymmetric-media-00.txt,
it is however quite obvious that it is not too easy to do so, also the
interest is quite low. 

With the above in mind I really believe it would be good if 3984bis
could make full asymmetry possible.

Regards
Ingemar 

> ------------------------------
> 
> Message: 2
> Date: Tue, 19 May 2009 12:24:09 -0400
> From: Randell Jesup <[email-masked]>
> Subject: Re: [AVT] Q for 3984bis-06
> To: stephen botzko <[email-masked]>
> Cc: [email-masked], Tom Taylor <[email-masked]>,
> 	[email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
> 
> stephen botzko <[email-masked]> writes:
> >>>>
> >This is a real-world case; devices often have more encode horsepower 
> >(and camera resolution) than they can actually display when 
> receiving, 
> >and they talk to other devices that *can* display that extra 
> resolution..
> >>>>
> >
> >In our experience, the reverse situation is what actually 
> happens - PCs 
> >for instance frequently can decode and display HD images, 
> but are often 
> >limited to an SD webcam.
> >Can you name a couple of specific real devices that have these HD
> >cameras+encoders and the limited decoders?
> 
> Mostly I'm not talking PC's (I agree with you there, though 
> there are cases where it still may make sense, like when 
> displaying video in a portion of the screen).  I'm mostly 
> talking mobile and dedicated devices with built-in LCDs; that 
> would include Smartphones, dedicated videophones, "media"
> tablets, etc.
> 
> For example, certain devices have been made with two 
> different LCDs; one ~850x480, the other ~480x234, both with 
> VGA-class cameras.  Sending VGA content (or really anything 
> beyond CIF) to the 480x234 display is just a waste of bits.  
> If you wanted to and could negotiate it properly, though, you 
> could send higher framerate CIF to that device, while it 
> sends VGA at a lower framerate to a device that can show it.
> 
> 
> As for the comment about max-level=NN versus 
> level-upgrade-allowed: I'd originally thought 
> level-upgrade-allowed made the most sense, and in fact 
> probably it does - let the answer respond with the highest 
> level they can receive, and the offerer can send at whatever 
> level they support.  
> 
> That's even easier to describe:
> 
>   level-upgrade-allowed=0 or 1:
>          If the offer sets level-upgrade-allowed to 1, then 
> an answer may
>          include any level above the offered level in 
> profile-level-id.
>          The offerer may send at any level up to the level in 
> the answer,
>          and and answerer can send levels only up to the level in the
>          offer.  If this is not present or is set to 0, then 
> the answer
>          MUST NOT respond with a level greater than the level in
>          profile-level-id.  
> 
>          Note that this only allows the level to be increased in the
>          answer; the profile and constraints are not allowed 
> to change.
> 
> --
> Randell Jesup, Worldgate (developers of the Ojo videophone), 
> ex-Amiga OS team [email-masked] "The fetters imposed on 
> liberty at home have ever been forged out of the weapons 
> provided for defence against real, pretended, or imaginary 
> dangers from abroad."
> 		- James Madison, 4th US president (1751-1836)
> 
> 
>